Loading...
Searching...
No Matches
dolfin::PointIntegralSolver Class Reference

This class is a time integrator for general Runge Kutta forms. More...

`#include <PointIntegralSolver.h>`

Inheritance diagram for dolfin::PointIntegralSolver:
[legend]
Collaboration diagram for dolfin::PointIntegralSolver:
[legend]

## Public Member Functions

| PointIntegralSolver (std::shared_ptr< MultiStageScheme > scheme)
| ~PointIntegralSolver ()
| Destructor.
void | step (double dt)
| Step solver with time step dt.
void | step_interval (double t0, double t1, double dt)
| Step solver an interval using dt as time step.
std::shared_ptr< MultiStageScheme > | scheme () const
| Return the MultiStageScheme.
void | reset_newton_solver ()
| Reset newton solver.
void | reset_stage_solutions ()
| Reset stage solutions.
std::size_t | num_jacobian_computations () const
| Return number of computations of jacobian.
Public Member Functions inherited from dolfin::Variable
| Variable ()
| Create unnamed variable.
| Variable (const std::string name, const std::string label)
| Create variable with given name and label.
| Variable (const Variable &variable)
| Copy constructor.
virtual | ~Variable ()
| Destructor.
const Variable & | operator= (const Variable &variable)
| Assignment operator.
void | rename (const std::string name, const std::string label)
| Rename variable.
std::string | name () const
| Return name.
std::string | label () const
| Return label (description).
std::size_t | id () const
virtual std::string | str (bool verbose) const
| Return informal string representation (pretty-print).

## Static Public Member Functions

static Parameters | default_parameters ()
| Default parameter values.

## Additional Inherited Members

Public Attributes inherited from dolfin::Variable
Parameters | parameters
| Parameters.

## Detailed Description

This class is a time integrator for general Runge Kutta forms.

It only includes Point integrals with piecewise linear test functions. Such problems are disconnected at the vertices and can therefore be solved locally.

## Constructor & Destructor Documentation

## PointIntegralSolver()

PointIntegralSolver::PointIntegralSolver | ( | std::shared_ptr< MultiStageScheme > | scheme | ) |

explicit

Constructor FIXME: Include version where one can pass a Solver and/or Parameters

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/multistage/PointIntegralSolver.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/multistage/PointIntegralSolver.cpp